I get stuck with Pushpull
-
Hello!
Few days ago I start to explore SketchUP with Ruby
And after breaking of my mind with "Google SketchUp Ruby API" and "Automatic SketchUP" by Matthew Scarpino I still have not found an answer - what is the logic of apushpull
method.What I did.
mod = Sketchup.active_model ent = mod.entities new_circle = ent.add_circle [0,0,0], [0,1,0], 50,3 new_face = ent.add_face new_circle
Here all is clear.
Thennew_face.pushpull 5
OK, face extends to right. And now I have 3D shape.
OK, now I'd like to continue this extension.new_face.pushpull 5
But now face start to move to left
. And if I repeat
new_face.pushpull 5
face will continue to moth to left
So - first pushpull move face to right and next and all another - to left.
What is the logic?What I need - I'd like to have possibilities to apply
pushpull
to a particular face after any pushpull. And how to specify for pushpull method exactly that face I need to move?
(And sorry for my English)
-
PushPull always extrudes a Face along the face's normal. If you notice after the first pushpull, the original face is reversed, so the subsequent pushpull extrudes in the opposite direction.
You need to check the Face's normal and reverse the face before extruding, or just extrude in a negative direction.
Advertisement